¿Instalando QGIS en Ubuntu?

24

¿Alguien ha tenido suerte con hacer que QGIS funcione en Ubuntu 12.04? He probado las versiones estables e inestables y sin suerte. También me sale lo siguiente:

"Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
qgis : Depends: qgis-providers (= 1.8.0-1~precise1) but 1.9.90+git20120502+6229eec~precise1 is to be installed
    Depends: qgis-common (= 1.8.0-1~precise1) but 1.9.90+git20120502+6229eec~precise1 is to be installed
    Recommends: qgis-plugin-globe but it is not going to be installed
    Recommends: qgis-plugin-grass but it is not going to be installed
E: Unable to correct problems, you have held broken packages."
    
pregunta LandArch 08.07.2012 - 22:50

10 respuestas

40

Puedes usar ubuntugis ppa, que contiene todo lo que necesitas:

 $ sudo apt-add-repository ppa:ubuntugis/ubuntugis-unstable
 $ sudo apt-get update
 $ sudo apt-get install qgis

El sistema se encargará de las dependencias necesarias

Su problema también sugiere que ha roto dependencias para qgis. Una forma de solucionar esto es limpiar su caché ejecutando en la terminal (puede abrir la terminal en gnome con alt + ctrl + T )

$ sudo apt-get clean

o

$ sudo apt-get autoclean

y luego pregunte apt para intentar corregir cualquier dependencia rota:

$ sudo apt-get -f install 

si la salida es similar a:

$ 0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

significa que necesita algunos paquetes adicionales sobre los que no se le informó. Para instalarlos ejecute:

$ sudo apt-get dist-upgrade
    
respondido por el nickves 08.07.2012 - 23:29
6

No tengo problemas con la instalación y ejecución de QGis con ubuntu 12.04 (32 y 64 Bit)

Tomé el siguiente procedimiento:

  1. Instalé "synaptic" con ubuntu-Software-center, ya que descubrí que la desinstalación del software no siempre está limpia con ubuntu-software-center.
  2. En synaptic agregué el paquete-fuente apropiado, mencionado en el sitio web de qgis en la sección de ubuntu-release, que es: "deb enlace principal precisa "
  3. Luego cierro synaptic y abro una ventana de terminal y escribo:

    sudo gpg --keyserver keyserver.ubuntu.com --recv 997D3880

    y pulsa retorno. A continuación escribo:

    sudo gpg --export --armor 997D3880 | Sudo apt-key agregar -

    Copié ambos comandos desde el sitio web de qgis, ellos instalan una clave para la fuente del paquete.

  4. Reinicio synaptic y actualizo las fuentes del paquete.
  5. Luego busco qgis en synaptic, elijo el paquete qgis e instalo. También se instalarán un par de dependencias.

Eso es todo.

Si ha intentado instalar qgis antes con diferentes fuentes de paquetes, debe desactivarlos y eliminar todos los paquetes qgis instalados antes de la instalación.

Siempre instalo qgis en una máquina limpia y recién instalada. Probablemente debería reinstalar ubuntu recientemente si hay demasiados problemas en la máquina. Siempre hago esto después de haber intentado instalar el software sin éxito, ya que no siempre es posible eliminar todas las dependencias.

Espero que ayude

    
respondido por el Dimpflmoser 10.07.2012 - 15:01
5

Tienes las compilaciones nocturnas (de las que proviene 1.9.90+git20120502+6229eec~precise1 , pero de forma bastante extraña) y un repositorio estable (ya sea el repositorio qgis.org o ubuntugis) en tu /etc/apt/sources.list . Deberías usar solo uno.

    
respondido por el jef 08.07.2012 - 23:53
3

Instalé la versión estable con:

sudo apt-add-repository ppa:ubuntugis/ppa
sudo apt-get update
sudo apt-get install qgis
    
respondido por el lubar 14.12.2012 - 19:52
2

QGIS 1.8 y master (también conocido como versión de desarrollo) se instalan sin ningún problema importante en Ubuntu 12.04. De los mensajes de error parece que has mezclado repositorios. Por lo tanto, sugiero limpiar su lista de repositorios, eliminar cualquier paquete relacionado con qgis e instalarlo nuevamente usando las instrucciones que puede encontrar en el repositorio de UBUNTUGIS, de esta manera también obtendrá las últimas versiones de GDAL, GRASS, etc.

enlace

    
respondido por el Giovanni Manghi 10.07.2012 - 15:37
2

Lo hice funcionar yendo a synaptic, buscando y eliminando por completo todos los paquetes grass y gdal, y luego haciendo:

sudo apt-get install python-software-properties
sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
sudo apt-get update
sudo apt-get install qgis

Se instaló 1.8.0- Lisboa

    
respondido por el auff 06.11.2012 - 15:28
2

Para aquellos que tienen problemas al usar los complementos en Ubuntu 12.04LTS principalmente debido a permisos, intente esto:

sudo chown username:username /home/username/.qgis

Atención dónde está la carpeta .qgis

Luego intente nuevamente instalar los complementos, en mi caso funcionó perfectamente.

Saludos José Santos

    
respondido por el José Santos 06.11.2012 - 16:54
1

Así es como pude instalar QGIS en ubuntu 12.04

enlace

Seguí el blog pero usé ubuntugis en lugar de ubuntu llano

    
respondido por el Sam007 16.07.2012 - 21:11
0

Para evitar los mensajes de error, también eliminé QGIS de los "otros" repositorios. Mi instalación original era de antes de que estuviera disponible en el centro de software. Después de eso, actualicé mis paquetes y solucioné mis problemas.

    
respondido por el Suncat2000 22.09.2013 - 16:33
0

Tengo cosas para trabajar. De hecho, tuve que purgar a la fuerza las dependencias no cumplidas a través de dpkg --force-depende - purge "nombre de dependencia"

    
respondido por el LandArch 16.01.2016 - 16:52

Lea otras preguntas en las etiquetas